Loading...
Searching...
No Matches
Pop3ClientDataProvider::Pop3ClientMessageDataProvider Class Reference

The POP3 message parent data provider. More...

`#include <Pop3ClientMessageDataProvider.qc.dox.h>`

Inheritance diagram for Pop3ClientDataProvider::Pop3ClientMessageDataProvider:
[legend]

## Public Member Functions

| constructor (Pop3Client pop3, string id)
| Creates the object from an POP3 connection.
*list< hash< DataProviderSummaryInfo > > | getChildProviderSummaryInfo ()
| Return data provider summary info.
*string | getDesc ()
| Returns the data provider description.
string | getName ()
| Returns the data provider name.
Public Member Functions inherited from Pop3ClientDataProvider::Pop3ClientDataProviderBase
| constructor (*hash< auto > options, hash< string, hash< DataProviderOptionInfo > > con_opts=ConstructorOptions)
| Creates the object from constructor options.
| constructor (Pop3Client pop3)
| Creates the object from an POP3 connection.
Pop3Client | getPop3ClientConnection (hash< auto > options)
| Returns an POP3 connection from constructor options.

## Public Attributes

const | ProviderInfo = ...
| Provider info.
Public Attributes inherited from Pop3ClientDataProvider::Pop3ClientDataProviderBase
const | ConstructorOptions = ...
| Constructor arguments.

## Protected Member Functions

*AbstractDataProvider | getChildProviderImpl (string name)
| Returns the given child provider or nothing if the given child is unknown.
*list< string > | getChildProviderNamesImpl ()
| Returns a list of child data provider names, if any.
hash< DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.

## Protected Attributes

string | id
| Message ID.

## Detailed Description

The POP3 message parent data provider.

## Member Function Documentation

## getChildProviderImpl()

*AbstractDataProvider Pop3ClientDataProvider::Pop3ClientMessageDataProvider::getChildProviderImpl | ( | string | name | ) |

protected

Returns the given child provider or nothing if the given child is unknown.

Returns
  the given child provider or nothing if the given child is unknown

See also
  getChildProviderEx()

## getChildProviderNamesImpl()

*list< string > Pop3ClientDataProvider::Pop3ClientMessageDataProvider::getChildProviderNamesImpl | ( |  | ) |

protected

Returns a list of child data provider names, if any.

Returns
  a list of child data provider names, if any